ServerConductor/Blade Server Manager Description and Reference

### 15.8.2 Agent service settings

The agent service settings are managed in the Agent service settings window.

To display the Agent service settings window:

1. In the Host management window, select the check box for the host to be set.
2. From the Settings menu, choose Agent service settings.
   The Agent service settings window appears.

   Figure 15-25 Agent service settings window

Select a menu in the Agent service settings window to change information displayed in the detail area. The following describes the information that can be set by using each menu.

Organization of this subsection
  (1) Network information
  (2) Alert information
  (3) Alert attribute information
  (4) Excess usage rate notification

#### (1) Network information

This menu enables you to set and view network-related information.

Clicking the Network Setting menu displays the following window:

Figure 15-26 Network settings

You can set and view the following information in this window:

Item | Setting
--- | ---
Command timeout value | Set the time (in seconds) to wait for a reply to the command transmission from the agent service to the manager service. The permitted value range is from 1 to 600. The default is 90 seconds.
Keep alive | Set whether the keep-alive feature is used during data transfer with the manager service. To use the keep-alive feature, select the check box (not selected by default) and set the keep-alive interval (in seconds). The permitted value range is from 1 to 3,600. The default is 600 seconds.

#### (2) Alert information

This menu enables you to set and view information about the alerts that are detected by the agent service. Clicking the Alert setting menu displays the following window:

Figure 15-27 Alert settings

You can set and view the following information in this window:

Item | Setting
--- | ---
Notification alert | Set the alert level of the alerts that are to be reported to the manager service. Select the check box for the applicable alert level. Multiple alerts can be set. The following lists the alerts that can be set: Information: Information other than errors Caution: Cautionary warning information Warning: Normal error information Failure: Errors that require immediate attention
Number of days to save | Set the number of days alert log files are retained. When this number of days is reached, this event is reported to the Web management console. The permitted value range is from 0 to 90. The default is 30 days. If 0 is set, the alert log file is retained indefinitely (until it is deleted by the system administrator).
Used disk capacity warning threshold | When the total size of the alert log reaches this value, a warning is sent to the Web management console. (The alert log for each day is saved as a single file.) The permitted value range is from 0 to 1,048,576 kilobytes. The default is 1,024 kilobytes. If 0 is set, no warning is issued.
Application log | Set whether the alerts reported by the agent service are to be recorded as application log entries. Alerts recorded in the application log can be viewed by using Event Viewer. Note Alerts for Linux servers cannot be recorded in an application log.

#### (3) Alert attribute information

This menu enables you to set the specific alerts at a server that are to be reported to the Web console service. It also enables you to set a server operation that is to be performed when a specific alert occurs (such as rebooting and power off). Clicking the Alert attribute setting menu displays the following window:

Figure 15-28 Alert attribute settings

You can set and view the following information in this window:

Item | Setting
--- | ---
Alert list | Set a search condition, and then click the Search button to display the alert information. From this display of all alert information, select an alert that is to be reported to the Web console service or for which a server operation is to be specified.
Alert occurrence notification | Set the number of times the alert selected from the list must occur before notification is sent to the Web console service. The permitted value range is from 1 to 65,535. The default depends on the type of managed server. If notification is to be suppressed for this alert, select Do not notify. If Do not notify is selected for an alert in Alert Setting in the Agent Service Settings window, no notification will be sent even if an occurrence count is set here. For details about how to specify this setting, see 15.4.5(2) Filtering by alert.
Server operation when event occurred | You can set the server's power handling when an event occurs and whether active processes are to be terminated forcibly. Select the item that you want to set. The default is Do nothing. The default for Forced termination of process is No. Note Once the server operation defined for an event has been executed, the defined setting is reset (to Do nothing). Therefore, you must define the settings again after the server operation has been executed. For Linux servers, the Forced termination of process option is disabled.
Failover | ServerConductor does not support failover settings.

#### (4) Excess usage rate notification

This menu enables you to set usage rates for the CPU, memory, drives, and file systems for triggering notification to the manager service. Clicking Excess usage rate notification setting displays the following window:

Figure 15-29 Excess usage notification settings

You can set and view the following information in this window:

Item | Setting
--- | ---
Device | The devices supported for the excess usage rate notification setting depend on the type of server. The devices supported for each server type are as follows: Windows servers: CPU, drives, and memory Linux servers: CPU, memory, and file systems
Drive or file system | When the agent is a Windows server, this field displays a list of drives and usage rate settings. When the agent is a Linux server, this field displays a list of mount points and usage rate settings.
Usage rate | Set the usage rate for the CPU, memory, drive, or file system that is to trigger notification. For the CPU, the permitted value range is from 10 to 100. The default is 30%. For memory or drives, the permitted value range is from 40 to 100. The default is 80%.
Check usage rate | Set whether the usage rate is to be monitored. When this check box is selected, the usage rate is monitored. By default, this check box is cleared. When you change the excess usage rate notification settings, change this check box first to enable the subsequent settings.
Interval for checking usage rate | Set the interval (in seconds) at which the usage rate of the CPU, memory, drive, or file system is to be monitored. The default is 10 seconds for the CPU and memory and 60 seconds for drives and file systems. This monitoring interval applies to all drives or file systems. A different value cannot be set for each drive (such as 3 seconds for drive C and 5 seconds for drive D).
Sampling count for usage rate calculation | This excess usage rate notification function notifies the manager service when the average value of several samples reaches the value set in Usage rate. In this item, specify the number of samples to be used for calculating the average value. The permitted value range is from 1 to 1,000. The default is 10. This sampling count applies to all drives or file systems. A different value cannot be set for each drive (such as 10 times for drive C and 20 times for drive D).

To specify the excess usage rate notification settings:

1. Select Check usage rate.
2. For a Windows server, under Device, select CPU or Drive. For a Linux server, select CPU, Memory, or File system.
3. If you select Drive or File system, in the list, double-click the drive or file system to be selected.
   The radio button at the left end is selected, indicating that the drive is to be monitored.
4. Set the check items.
   Set the usage rate, monitoring interval, and sampling count. You can set a different usage rate for each drive or file system, but the same monitoring interval and sampling count apply to all drives or file systems.

All Rights Reserved. Copyright (C) 2006, Hitachi, Ltd.